Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Usernames

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Usernames

Enclosing class:
  TdApi

public static final class TdApi.Usernames extends TdApi.Object
Describes usernames assigned to a user, a supergroup, or a channel.

## Field Summary

Fields
Modifier and Type
Field
Description
`String[]`
`activeUsernames`
List of active usernames; the first one must be shown as the primary username.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String[]`
`disabledUsernames`
List of currently disabled usernames; the username can be activated with toggleUsernameIsActive, toggleBotUsernameIsActive, or toggleSupergroupUsernameIsActive.
`String`
`editableUsername`
The active username, which can be changed with setUsername or setSupergroupUsername.

## Constructor Summary

Constructors
Constructor
Description
`Usernames()`
Describes usernames assigned to a user, a supergroup, or a channel.
`Usernames(DataInput input)`
Describes usernames assigned to a user, a supergroup, or a channel.
`Usernames(String[] activeUsernames, String[] disabledUsernames, String editableUsername)`
Describes usernames assigned to a user, a supergroup, or a channel.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### activeUsernames

public String[] activeUsernames
List of active usernames; the first one must be shown as the primary username. The order of active usernames can be changed with reorderActiveUsernames, reorderBotActiveUsernames or reorderSupergroupActiveUsernames.

### disabledUsernames

public String[] disabledUsernames
List of currently disabled usernames; the username can be activated with toggleUsernameIsActive, toggleBotUsernameIsActive, or toggleSupergroupUsernameIsActive.

### editableUsername

public String editableUsername
The active username, which can be changed with setUsername or setSupergroupUsername.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### Usernames

public Usernames()
Describes usernames assigned to a user, a supergroup, or a channel.

### Usernames

public Usernames(String[] activeUsernames, String[] disabledUsernames, String editableUsername)
Describes usernames assigned to a user, a supergroup, or a channel.

Parameters:
  `activeUsernames` - List of active usernames; the first one must be shown as the primary username. The order of active usernames can be changed with reorderActiveUsernames, reorderBotActiveUsernames or reorderSupergroupActiveUsernames.
  `disabledUsernames` - List of currently disabled usernames; the username can be activated with toggleUsernameIsActive, toggleBotUsernameIsActive, or toggleSupergroupUsernameIsActive.
  `editableUsername` - The active username, which can be changed with setUsername or setSupergroupUsername.

### Usernames

public Usernames(DataInput input) throws IOException
Describes usernames assigned to a user, a supergroup, or a channel.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`